Skip to main content
PUT
Modifies a user

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

The unique identifier of the user to update.

Query Parameters

idProperty
enum<string>

Specifies the property to use for identifying the user. Valid values are 'USER_ID' or 'EMAIL'.

Available options:
EMAIL,
USER_ID

Body

application/json
firstName
string

The first name of the user. It is a string value.

lastName
string

The last name of the user. It is a string value.

primaryTeamId
string

The identifier for the user's primary team. It is a string value.

roleId
string

The identifier for the user's role. It is a string value.

seatNames
string[]

An array of seat names associated with the user. Each item in the array is a string.

secondaryTeamIds
string[]

An array of identifiers for the user's secondary teams. Each item in the array is a string.

Response

successful operation

email
string
required

The email address of the user. This is a required field and must be unique.

id
string
required

The unique identifier for the user, represented as a string.

roleIds
string[]
required

An array of strings representing the IDs of the roles assigned to the user. This is a required field.

superAdmin
boolean
required

A boolean indicating whether the user has super admin privileges. This is a required field.

firstName
string

The first name of the user, represented as a string.

lastName
string

The last name of the user, represented as a string.

primaryTeamId
string

The ID of the primary team to which the user belongs, represented as a string.

roleId
string

A string representing a single role ID assigned to the user.

seatNames
string[]

An array of strings representing the names of seats assigned to the user.

secondaryTeamIds
string[]

An array of strings representing the IDs of secondary teams to which the user is associated.

sendWelcomeEmail
boolean

A boolean indicating whether a welcome email should be sent to the user.

Last modified on August 3, 2026